M_ReturnBenifitRechargeCFG = {}

function M_ReturnBenifitRechargeCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ReturnBenifitRechargeCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, NeedRecharge = 38, Item = {1,8}, ItemCount = {380000,1}}
	self.datas[2] = {ID = 2, NeedRecharge = 88, Item = {1,8}, ItemCount = {880000,5}}
	self.datas[3] = {ID = 3, NeedRecharge = 188, Item = {1,5}, ItemCount = {1880000,10}}
	self.datas[4] = {ID = 4, NeedRecharge = 288, Item = {1,9}, ItemCount = {2880000,15}}
	self.datas[5] = {ID = 5, NeedRecharge = 588, Item = {1,17}, ItemCount = {5880000,10}}
	self.datas[6] = {ID = 6, NeedRecharge = 888, Item = {1,41}, ItemCount = {8880000,20}}
	self.datas[7] = {ID = 7, NeedRecharge = 1888, Item = {1,41}, ItemCount = {18880000,40}}
end

M_ReturnBenifitRechargeCFG:init()
